<template>
    <section>
        <div class="dossard-container" @click="redirectToNotes()">
            <div class="dossard-photo">
                <img v-if="dossardData.photo" :src=dossardData.photo width="70%" height="70%">
                <img v-else src="../../../dist/images/equitrec.png" width="70%" height="70%">
            </div>
            <div class="dossard-infos">
                <p> Nom : {{ dossardData.nom }}</p>
                <p> Prenom : {{ dossardData.prenom }}</p>
                <p> Numéro : {{ dossardData.numero }}</p>
            </div>
        </div>
    </section>

</template>

<script>
    import page from "page";

    export default {
        name: "Dossard",
        data: function() {
            return {};
        },
        methods: {
            redirectToNotes() {
                let epreuve = this.$parent.$parent.$data.epreuve;
                page('/notes/'+epreuve+'/'+this.dossardData.numero);
                window.location.reload();
            }
        },
        props: {
            dossardData: Object
        }
    };
</script>

<style>
    .dossard-container{
        display : flex;
        align-items: center;
        justify-content: center;
    }

    .dossard-photo {
        flex: 0.4;
        text-align: center;
    }

    .dossard-infos {
        flex: 0.6;
        text-align: left;
    }

    .dossard-infos p {
        font-size: 3vw;
    }
</style>